PacketPool.PooledPacket (ActiveIO 1.0 API)
Keywords: org.activeio.packet.PacketPool.PooledPacket class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.packet
Class PacketPool.PooledPacket

    java.lang.Object
      org.activeio.packet.FilterPacket
          org.activeio.packet.PacketPool.PooledPacket

All Implemented Interfaces:
  Disposable, Packet

Enclosing class:
  PacketPool

public class PacketPool.PooledPacket
extends FilterPacket

Nested Class Summary

Nested classes inherited from class org.activeio.Packet
`Packet.ByteSequence`

Field Summary

Fields inherited from class org.activeio.packet.FilterPacket
`next`

Constructor Summary
`PacketPool.PooledPacket(Packet next)`

Method Summary
`void` | `dispose()` This method should not throw any exceptions.
`Packet` | `filter(Packet packet)`
`(package private) int` | `getReferenceCounter()`

Methods inherited from class org.activeio.packet.FilterPacket
`asByteSequence, capacity, clear, duplicate, duplicate, flip, hasRemaining, limit, limit, narrow, position, position, read, read, read, remaining, rewind, slice, sliceAsBytes, write, write, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketPool.PooledPacket

    public PacketPool.PooledPacket(Packet next)

Method Detail

### filter

    public Packet filter(Packet packet)

  Specified by:
    `filter` in class `FilterPacket`

### getReferenceCounter

    int getReferenceCounter()

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `FilterPacket`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.